### Type parameters

- #### T

- #### I: DeleteItemInput | GetItemInput | PutItemInput | QueryInput | ScanInput | UpdateItemInput

### Hierarchy

- BaseRequest
  - WriteRequest
  - GetRequest
  - Request

## Index

### Constructors

- constructor

### Properties

- dynamoRx
- metadata
- modelClazz
- params

### Methods

- exec
- execFullResponse

## Constructors

### Protected constructor

- new BaseRequest(dynamoRx: DynamoRx, modelClazz: ModelConstructor<T>): BaseRequest

- - Defined in dynamo/request/base.request.ts:21

  #### Parameters

  - ##### dynamoRx: DynamoRx

  - ##### modelClazz: ModelConstructor<T>

  #### Returns BaseRequest

## Properties

### dynamoRx

dynamoRx: DynamoRx

- Defined in dynamo/request/base.request.ts:18

### metadata

metadata: Metadata<T>

- Defined in dynamo/request/base.request.ts:20

### modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/request/base.request.ts:19

### params

params: I

- Defined in dynamo/request/base.request.ts:21

## Methods

### Abstract exec

- exec(): Observable<T[] | T | null | void>

- - Defined in dynamo/request/base.request.ts:40

  #### Returns Observable<T[] | T | null | void>

### Abstract execFullResponse

- execFullResponse(): Observable<any>

- - Defined in dynamo/request/base.request.ts:38

  #### Returns Observable<any>

Generated using TypeDoc